<!-- AI oct 2025 : re-ecriture propre -->
<field_definition operation="average" freq_offset="0ts" freq_op="3h" detect_missing_value=".true.">

    <!-- LIDAR Calipso -->	
    <field_group  grid_ref="grid_glo">
    <!-- CALIPSO 2D -->
      <field id="cllcalipso" long_name="CALIPSO Low-level Cloud Fraction" unit="1" />
      <field id="clhcalipso" long_name="CALIPSO Hight-level Cloud Fraction" unit="1" />
      <field id="clmcalipso" long_name="CALIPSO Mid-level Cloud Fraction" unit="1" />
      <field id="cltcalipso" long_name="CALIPSO Total Cloud Fraction" unit="1" />
      <field id="cllcalipsoice" long_name="CALIPSO Ice-Phase Low-level Cloud Fraction" unit="1" />
      <field id="clhcalipsoice" long_name="CALIPSO Ice-Phase Hight-level Cloud Fraction" unit="1" />
      <field id="clmcalipsoice" long_name="CALIPSO Ice-Phase Mid-level Cloud Fraction" unit="1" />
      <field id="cltcalipsoice" long_name="CALIPSO Ice-Phase Total Cloud Fraction" unit="1" />
      <field id="cllcalipsoliq" long_name="CALIPSO Liq-Phase Low-level Cloud Fraction" unit="1" />
      <field id="clhcalipsoliq" long_name="CALIPSO Liq-Phase Hight-level Cloud Fraction" unit="1" />
      <field id="clmcalipsoliq" long_name="CALIPSO Liq-Phase Mid-level Cloud Fraction" unit="1" />
      <field id="cltcalipsoliq" long_name="CALIPSO Liq-Phase Total Cloud Fraction" unit="1" />
      <field id="cllcalipsoun" long_name="CALIPSO Undefined-Phase Low-level Cloud Fraction" unit="1" />
      <field id="clhcalipsoun" long_name="CALIPSO Undefined-Phase Hight-level Cloud Fraction" unit="1" />
      <field id="clmcalipsoun" long_name="CALIPSO Undefined-Phase Mid-level Cloud Fraction" unit="1" />
      <field id="cltcalipsoun" long_name="CALIPSO Undefined-Phase Total Cloud Fraction" unit="1" />
      <field id="clopaquecalipso" long_name="CALIPSO Opaque Cloud Fraction" unit="1" />
      <field id="clthincalipso" long_name="CALIPSO Thin Cloud Fraction" unit="1" />
      <field id="clzopaquecalipso" long_name="CALIPSO Altitude of opacity" unit="m" />
      <field id="clopaquetemp" long_name="CALIPSO Opaque Cloud Temperature" unit="K" />
      <field id="clthintemp" long_name="CALIPSO Thin Cloud Temperature" unit="K" />
      <field id="clzopaquetemp" long_name="CALIPSO Altitude of opacity Temperature" unit="K" />
      <field id="clopaquemeanz" long_name="CALIPSO Opaque Cloud Altitude" unit="m" />
      <field id="clthinmeanz" long_name="CALIPSO Thin Cloud Altitude" unit="m" />
      <field id="clthinemis" long_name="CALIPSO Thin Cloud Emissivity" unit="1" />
      <field id="clopaquemeanzse" long_name="CALIPSO Opaque Cloud Altitude with respect to Surface Elevation" unit="m" />
      <field id="clthinmeanzse" long_name="CALIPSO Thin Cloud Altitude with respect to Surface Elevation" unit="m" />
      <field id="clzopaquecalipsose" long_name="CALIPSO Altitude of opacity with respect to Surface Elevation" unit="m" />
      <!-- GROUND LIDAR 532 nm 2D -->
      <field id="cllgrLidar532" long_name="GROUND LIDAR (532 nm) Low-level Cloud Fraction" unit="1" />
      <field id="clhgrLidar532" long_name="GROUND LIDAR (532 nm) High-level Cloud Fraction" unit="1" />
      <field id="clmgrLidar532" long_name="GROUND LIDAR (532 nm) Mid-level Cloud Fraction" unit="1" />
      <field id="cltgrLidar532" long_name="GROUND LIDAR (532 nm) Total Cloud Fraction" unit="1" />
      <!-- ATLID 2D -->
      <field id="cllatlid" long_name="ATLID Low-level Cloud Fraction" unit="1" />
      <field id="clhatlid" long_name="ATLID High-level Cloud Fraction" unit="1" />
      <field id="clmatlid" long_name="ATLID Mid-level Cloud Fraction" unit="1" />
      <field id="cltatlid" long_name="ATLID Total Cloud Fraction" unit="1" />
    </field_group>
    <field_group  grid_ref="grid_glo_height">
    <!-- CALIPSO 3D -->
      <field id="clcalipso" long_name="CALIPSO Cloud Fraction (532 nm)" unit="1"  />
      <field id="clcalipsoice" long_name="CALIPSO Ice-Phase Cloud Fraction (532 nm)" unit="1"  />
      <field id="clcalipsoliq" long_name="CALIPSO Liq-Phase Cloud Fraction (532 nm)" unit="1"  />
      <field id="clcalipsoun" long_name="CALIPSO Undefined-Phase Cloud Fraction (532 nm)" unit="1"  />
      <field id="clcalipsoopaque" long_name="CALIPSO Opaque Cloud profile Fraction" unit="1"  />
      <field id="clcalipsothin" long_name="CALIPSO Thin Cloud profile Fraction" unit="1"  />
      <field id="clcalipsozopaque" long_name="CALIPSO z_opaque Fraction" unit="1" />
      <field id="clcalipsoopacity" long_name="CALIPSO opacity Fraction" unit="1"  />
      <!-- GROUND LIDAR 532 nm 3D -->
      <field id="clgrLidar532" long_name="GROUND LIDAR (532 nm) Cloud Fraction" unit="1"  />
      <!-- ATLID 3D -->
      <field id="clatlid" long_name="ATLID Cloud Fraction" unit="1"  />
    </field_group>
    <!-- CALIPSO 3D TEMP -->
    <field_group  grid_ref="grid_glo_temp">
      <field id="clcalipsotmp" long_name="CALIPSO Cloud Fraction (532 nm)" unit="%" />
      <field id="clcalipsotmpliq" long_name="CALIPSO Liq-Phase Cloud Fraction (532 nm)" unit="1"  />
      <field id="clcalipsotmpice" long_name="CALIPSO Ice-Phase Cloud Fraction (532 nm)" unit="1"  />
      <field id="clcalipsotmpun" long_name="CALIPSO Undefined-Phase Total Cloud Fraction" unit="1" />
    </field_group>
    <!-- CALIPSO 4D -->
    <field_group >
      <field id="lidarBetaMol532" long_name="CALIPSO Molecular Backscatter (532 nm)" unit="m-1 sr-1" grid_ref="grid_glo_heightmlev" />
      <field id="cfadLidarsr532" long_name="CALIPSO Scattering Ratio CFAD (532 nm)" unit="1" grid_ref="grid4Dsrbin" />
      <field id="atb532" long_name="CALIPSO Attenuated Total Backscatter (532 nm)" unit="1" grid_ref="grid4Dcol" />
      <!-- GROUND LIDAR 532 nm 4D -->
      <field id="lidarBetaMol532gr" long_name="GROUND LIDAR Molecular Backscatter (532 nm)" unit="m-1 sr-1" grid_ref="grid_glo_heightmlev" />
      <field id="cfadLidarsr532gr" long_name="GROUND LIDAR Scattering Ratio CFAD (532 nm)" unit="1" grid_ref="grid4Dsrbin" />
      <field id="atb532gr" long_name="GROUND LIDAR Attenuated Total Backscatter (532 nm)" unit="1" grid_ref="grid4Dcol" />
      <!-- ATLID 4D -->
      <field id="lidarBetaMol355" long_name="ATLID Molecular Backscatter (355 nm)" unit="m-1 sr-1" grid_ref="grid_glo_heightmlev" />
      <field id="cfadLidarsr355" long_name="ATLID Scattering Ratio CFAD (355 nm)" unit="1" grid_ref="grid4Dsrbin" />
      <field id="atb355" long_name="ATLID Attenuated Total Backscatter (355 nm)" unit="1" grid_ref="grid4Dcol" />
    </field_group>

    <!-- PARASOL -->
    <field_group >
      <field id="parasolGrid_refl" long_name="PARASOL Reflectance" unit="1" grid_ref="grid_glo_sza" />
      <field id="parasolPix_refl" long_name="PARASOL Subcolumn Reflectance" unit="1" grid_ref="grid4Dsza" />
    </field_group>

    <!-- RADAR Cloudsat -->
    <field_group  grid_ref="grid_glo">
    <!-- CLOUDSAT ONLY -->
      <field id="cloudsat_tcc" long_name="CLOUDSAT Total Cloud Fraction" unit="1" />
      <field id="cloudsat_tcc2" long_name="CLOUDSAT Total Cloud Fraction (no 1km)" unit="1" />
      <field id="ptradarflag0" long_name="CLOUDSAT precipitation occurence fraction flag 0 (No precipitation)" unit="1" />
      <field id="ptradarflag1" long_name="CLOUDSAT precipitation occurence fraction flag 1 (Rain possible)" unit="1" />
      <field id="ptradarflag2" long_name="CLOUDSAT precipitation occurence fraction flag 2 (Rain probable)" unit="1" />
      <field id="ptradarflag3" long_name="CLOUDSAT precipitation occurence fraction flag 3 (Rain certain)" unit="1" />
      <field id="ptradarflag4" long_name="CLOUDSAT precipitation occurence fraction flag 4 (Snow possible)" unit="1" />
      <field id="ptradarflag5" long_name="CLOUDSAT precipitation occurence fraction flag 5 (Snow certain)" unit="1" />
      <field id="ptradarflag6" long_name="CLOUDSAT precipitation occurence fraction flag 6 (Mixed-precipitation possible)" unit="1" />
      <field id="ptradarflag7" long_name="CLOUDSAT precipitation occurence fraction flag 7 (Mixed-precipitation certain)" unit="1" />
      <field id="ptradarflag8" long_name="CLOUDSAT precipitation occurence fraction flag 8 (Heavy rain)" unit="1" />
      <field id="ptradarflag9" long_name="CLOUDSAT precipitation occurence fraction flag 9 (Default)" unit="1" />
      <field id="radarpia" long_name="CLOUDSAT PIA" unit="1" />
    </field_group>
    <field_group >
    <!-- CLOUDSAT 4D -->	    
      <field id="dbze94" long_name="CloudSat Radar Reflectivity" unit="1" grid_ref="grid4Dcol" />
      <field id="cfadDbze94" long_name="CloudSat Radar Reflectivity CFAD" unit="1" grid_ref="grid4Ddbze" />
    </field_group>

    <field_group  grid_ref="grid_glo">
      <!-- CLOUDSAT + CALIPSO -->
      <field id="cltlidarradar" long_name="CALIPSO and CLOUDSAT Total Cloud Fraction" unit="1" />
    </field_group>
    <field_group  grid_ref="grid_glo_height">
      <!-- CLOUDSAT + CALIPSO -->
      <field id="clcalipso2" long_name="CALIPSO Cloud Fraction Undetected by CloudSat" unit="1"  />
    </field_group>

    <!-- ISCCP -->
    <field_group  grid_ref="grid_glo">
      <field id="cltisccp" long_name="Total Cloud Fraction as Calculated by the ISCCP Simulator" unit="1" />
      <field id="pctisccp" long_name="Mean Cloud Top Pressure as Calculated by the ISCCP Simulator" unit="Pa" />
      <field id="tauisccp" long_name="Optical Depth as Calculated by the ISCCP Simulator" unit="1" />
      <field id="albisccp" long_name="Mean Cloud Albedo as Calculated by the ISCCP Simulator" unit="1" />
      <field id="meantbisccp" long_name="Mean all-sky 10.5 micron brightness temperature as calculated by the ISCCP Simulator" unit="K" />
      <field id="meantbclrisccp" long_name="Mean clear-sky 10.5 micron brightness temperature as calculated by the ISCCP Simulator" unit="K" />
    </field_group>
    <field_group >
      <field id="boxtauisccp" long_name="Optical Depth in Each Column as Calculated by the ISCCP Simulator" unit="1" grid_ref="grid_glo_column" />
      <field id="boxptopisccp" long_name="Cloud Top Pressure in Each Column as Calculated by the ISCCP Simulator" unit="Pa" grid_ref="grid_glo_column" />
      <field id="clisccp" long_name="ISCCP joint-PDF of cloud top pressure and optical depth" unit="1" grid_ref="grid4Dtau" />
    </field_group>

    <!-- MISR -->
    <field_group >
      <field id="misr_fq" long_name="MISR joint-PDF of cloud top pressure and optical depth" unit="1" grid_ref="grid4Dmisr" />
      <field id="misr_meanztop" long_name="MISR Mean Cloud Top Height" unit="1" grid_ref="grid_glo" />
      <field id="misr_cldarea" long_name="MISR cloud cover" unit="1" grid_ref="grid_glo" />
    </field_group>
 
    <!-- MODIS -->
    <field_group  grid_ref="grid_glo">
      <field id="cllmodis" long_name="MODIS Low-level Cloud Fraction" unit="1" />
      <field id="clmmodis" long_name="MODIS Mid-level Cloud Fraction" unit="1" />
      <field id="clhmodis" long_name="MODIS High-level Cloud Fraction" unit="1" />
      <field id="cltmodis" long_name="MODIS Total Cloud Fraction" unit="1" />
      <field id="clwmodis" long_name="MODIS Cloud Fraction water mean" unit="1" />
      <field id="climodis" long_name="MODIS Cloud Fraction ice mean" unit="1" />
      <field id="tautmodis" long_name="MODIS Optical_Thickness_Total_Mean" unit="1" />
      <field id="tauwmodis" long_name="MODIS Optical_Thickness_Water_Mean" unit="1" />
      <field id="tauimodis" long_name="MODIS Optical_Thickness_Ice_Mean" unit="1" />
      <field id="tautlogmodis" long_name="MODIS Optical_Thickness_Total_logMean" unit="1" />
      <field id="tauwlogmodis" long_name="MODIS Optical_Thickness_Water_logMean" unit="1" />
      <field id="tauilogmodis" long_name="MODIS Optical_Thickness_Ice_logMean" unit="1" />
      <field id="reffclwmodis" long_name="Modis Cloud_Particle_Size_Water_Mean" unit="m" />
      <field id="reffclimodis" long_name="Modis Cloud_Particle_Size_Ice_Mean" unit="m" />
      <field id="pctmodis" long_name="Modis Cloud_Top_Pressure_Total_Mean" unit="Pa" />
      <field id="lwpmodis" long_name="Modis Liquid_Water_Path_Mean" unit="kg m-2" />
      <field id="iwpmodis" long_name="Modis Ice_Water_Path_Mean" unit="kg m-2"  />
    </field_group>
    <field_group >
      <field id="modis_ot_vs_ctp" long_name="MODIS joint-PDF of cloud top pressure and optical depth" unit="1" grid_ref="grid4Dtau" />
      <field id="modis_ot_vs_reffice" long_name="MODIS Joint-PDF of optical-depth and ice particle size" unit="1" grid_ref="grid4Dreffi" />
      <field id="modis_ot_vs_reffliq" long_name="MODIS Joint-PDF of optical-depth and liquid particle size" unit="1" grid_ref="grid4Dreffl" />
    </field_group>
</field_definition>
